## cloud-init 0.6.3

=== Makefile ===

all: test

pylint:
	pylint cloudinit

pyflakes:
	pyflakes .

test:
	nosetests tests/unittests/

.PHONY: test pylint pyflakes

## cloud-init 0.5.15

=== debian/changelog ===
cloud-init (0.5.15-0ubuntu3.1) maverick-proposed; urgency=low

  * add ability to configure Acquire::http::Pipeline-Depth via
    cloud-config setting 'apt_pipelining' (LP: #948461)
  * debian/cloud-init.postinst: address population of apt_pipeline 
    setting on installation.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2012 14:36:07 -0400

cloud-init (0.5.15-0ubuntu3) maverick; urgency=low

  * do not use ec2 ubuntu archive if instance is VPC (LP: #615545)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Sep 2010 04:28:55 -0400

cloud-init (0.5.15-0ubuntu2) maverick; urgency=low

  * grub-legacy-ec2: boot with console=hvc0 (LP: #606373)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 15 Sep 2010 16:41:48 -0400

cloud-init (0.5.15-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * fix /etc/fstab cloudconfig entries for t1.micro and
    change default fstab values for ephemeral0 to nobootwait (LP: #634102)
  * grub-legacy-ec2: do not write chainload for grub2 to menu.lst
    (LP: #627451)
  * seed grub-pc correctly so update-grub runs on ec2 or uec(LP: #623609)

 -- Scott Moser <smoser@ubuntu.com>  Sun, 12 Sep 2010 15:23:39 -0400

cloud-init (0.5.14-0ubuntu5) maverick; urgency=low

  * add missing imports for cc_puppet (LP: #632744)
  * append to apt_sources files rather than truncating (LP: #627597)
  * get double commented lines into sources.list (LP: #627439)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Sep 2010 10:31:58 -0400

cloud-init (0.5.14-0ubuntu4) maverick; urgency=low

  * add commented out entries for partner, backports, and multiverse
    (LP: #620572)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 26 Aug 2010 16:44:48 -0400

cloud-init (0.5.14-0ubuntu3) maverick; urgency=low

  * fix syntax error in cloudinit/util.py (failed installation)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Aug 2010 22:22:06 -0400

cloud-init (0.5.14-0ubuntu2) maverick; urgency=low

  * fix bug preventing 'seedfrom' from working (LP:617400)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Aug 2010 15:49:13 -0400

cloud-init (0.5.14-0ubuntu1) maverick; urgency=low

  * New upstream release.
   - support for reading metadata and userdata from filesystem
   - support for boot without metadata at all

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Aug 2010 14:45:28 -0400

cloud-init (0.5.13-0ubuntu3) maverick; urgency=low

  * grub-legacy-ec2: fix 'apt-get --reinstall' and dpkg-divert (LP: #611812)
  * enable -virtual kernels as "xen" kernels (pv_ops now functional)
  * fix bad syntax in cloud-init-run-module.py

 -- Scott Moser <smoser@ubuntu.com>  Mon, 02 Aug 2010 16:26:48 -0400

cloud-init (0.5.13-0ubuntu2) maverick; urgency=low

  * debian/control: drop ssh-import as a recommends, as this has been
    subsumed by openssh-server

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 24 Jul 2010 21:02:40 +0200

cloud-init (0.5.13-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * invoke dpkg with --force-confold (LP: #607642)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Jul 2010 11:58:53 -0400

cloud-init (0.5.12-0ubuntu8) maverick; urgency=low

  * update-grub-legacy-ec2:
    - add code to stop use of 'uuid' grub syntax
    - change fallback grub device from (hd0,0) to (hd0)
    - change timeout in menu.lst to 0
  * grub-legacy-ec2: add grub-set-default functionality (LP: #605961)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Jul 2010 13:07:01 -0400

cloud-init (0.5.12-0ubuntu7) maverick; urgency=low

  * update-grub-legacy-ec2:                                                     
    - force setting of indomU so output of build process has
      a menu.lst with -ec2 kernels listed.
    - remove 'quite splash' from kernel options
    - make sure grub_root_device is set to hd0 in image build

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jul 2010 16:33:51 -0400

cloud-init (0.5.12-0ubuntu6) maverick; urgency=low

  * fix installation error
  * add quilt-setup rule for package development 

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jul 2010 12:04:21 -0400

cloud-init (0.5.12-0ubuntu5) maverick; urgency=low

  * sync with upstream r226.
  * fix bug where nfs/network mounts could not be specified (LP: #603329)
  * manage hostname setting better (LP: #596993)
  * add legacy-grub-ec2 package.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Jul 2010 22:24:59 -0400

cloud-init (0.5.12-0ubuntu4) maverick; urgency=low

  * handle hostname managing better with ebs root. (LP: #596993)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Jul 2010 11:54:10 -0400

cloud-init (0.5.12-0ubuntu3) maverick; urgency=low

  * fix cloud-boothook input type (LP: #600799)
  * sync with upstream.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Jul 2010 21:19:13 -0400

cloud-init (0.5.12-0ubuntu2) maverick; urgency=low

  * fix cloud config 'apt-update-upgrade' failure due to missing import

 -- Scott Moser <smoser@ubuntu.com>  Mon, 21 Jun 2010 15:08:32 -0400

cloud-init (0.5.12-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * fix cloud-init-run-module to allow 'always' (LP: #568139)
  * add support for setting debconf selections 
  * add cloud-config support for debconf selections (LP: #582667),
    byobu enablement, and ssh-import-lp-id

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 15:48:14 -0400

cloud-init (0.5.11-0ubuntu2) maverick; urgency=low

  * handle renaming sem/markers for config items to avoid
    running per-instance again after package upgrade
  * pull 'config-' prefix on sem/ items for cloud-config modules from
    0.5.12

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 12:52:10 -0400

cloud-init (0.5.11-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * remove ec2-get-info.  It is replaced by cloudutils ec2metadata
  * use python logging
  * reduce number of upstart jobs
  * add "boothook" user data type
  * Switch to dpkg-source 3.0 (quilt) format

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 01:04:58 -0400



=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.38), python, python-central (>= 0.5.6), po-debconf
XS-Python-Version: all
Standards-Version: 3.8.4

Package: cloud-init
Architecture: all
Depends: python, procps, python-configobj, python-cheetah, update-motd, python-yaml, python-software-properties, cloud-utils, ${python:Depends}, ${misc:Depends}
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: ${misc:Depends}, debconf (>= 1.5.19) | cdebconf, util-linux (>= 2.15-1)
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: ${misc:Depends}, cloud-init
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

## cloud-init 0.6.1

=== debian/changelog ===
cloud-init (0.6.1-0ubuntu8) natty; urgency=low

  * instead of including /boot/grub, create it in postinst
    of grub-legacy-ec2.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Apr 2011 13:01:17 -0400

cloud-init (0.6.1-0ubuntu7) natty; urgency=low

  * grub-legacy-ec2: add /boot/grub directory so installation does
    not depend on it already existing (LP: #759885)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Apr 2011 11:03:04 -0400

cloud-init (0.6.1-0ubuntu6) natty; urgency=low

  * avoid upgrade prompt for grub-pc when devices are named xvdX (LP: #752361)
  * catchup to trunk cloud-init (rev 395)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Apr 2011 06:46:55 -0400

cloud-init (0.6.1-0ubuntu5) natty; urgency=low

  * fix --purge of grub-legacy-ec2 package (LP: #749444)
  * catchup to trunk cloud-init (rev 394)
  * support user-data formated in dos format by converting to unix for
    user-scripts, boothooks, and upstart jobs (LP: #744965)
  * removal of some debug code, minor documentation fix

 -- Scott Moser <smoser@ubuntu.com>  Mon, 04 Apr 2011 13:20:27 -0400

cloud-init (0.6.1-0ubuntu4) natty; urgency=low

  * catch up to trunk cloud-init (rev 389).
  * fix bug in part-handler code, that broke part handlers (LP: #739694)
  * fix sporadic resizefs failure (LP: #726938)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 21 Mar 2011 22:06:59 -0400

cloud-init (0.6.1-0ubuntu3) natty; urgency=low

  * catch up to trunk cloud-init (rev 385).
  * attempt to install packages on failed apt-get update (LP: #728167)
  * enabled timezone and mcollective cloud-config plugins

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2011 21:17:21 -0500

cloud-init (0.6.1-0ubuntu2) natty; urgency=low

  * grub-legacy-ec2: Use dpkg-query --control-path instead of hard-coding a
    path to debconf templates file, for compatibility with multiarch.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Mar 2011 23:23:55 -0500

cloud-init (0.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * fix for puppet configuration options (LP: #709946) [Ryan Lane]
  * fix pickling of DataSource, which broke seeding.
  * turn resize_rootfs default to True
  * avoid mounts in DataSourceOVF if 'read' on device fails
    'mount /dev/sr0' for an empty virtual cdrom device was taking 18 seconds
  * add 'manual_cache_clean' option to select manual cleaning of
    the /var/lib/cloud/instance/ link, for a data source that might
    not be present on every boot
  * make DataSourceEc2 retries and timeout configurable
  * add 'bootcmd' like 'runcmd' to cloud-config syntax for running things early
  * move from '#opt_include' in config file format to conf_d.
    now local config files should live in /etc/cloud/cloud.cfg.d/
  * move /etc/cloud/distro.cfg to /etc/cloud/cloud.cfg.d/90_dpkg.cfg
  * allow /etc/hosts to be written from hosts.tmpl. which allows
    getting local-hostname into /etc/hosts (LP: #720440)
  * better handle startup if there is no eth0 (LP: #714807)
  * update rather than append in puppet config [Marc Cluet]
  * add cloud-config for mcollective [Marc Cluet]

 -- Scott Moser <smoser@ubuntu.com>  Sat, 19 Feb 2011 01:16:10 -0500

cloud-init (0.6.0-0ubuntu4) natty; urgency=low

  * fix running of user scripts (LP: #711480) (cherry pick 344) 
  * fix 2 lintian warnings

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Feb 2011 16:15:30 -0500

cloud-init (0.6.0-0ubuntu3) natty; urgency=low

  * make a better attempt at deciding if DataSourceEc2 should be used
    on first install or upgrade
  * fix behavior if def_log_file is empty in cloud-config (cherry pick 333)
  * improve comment strings in rsyslog config (cherry pick 334)
  * do not package cloud-init query (cherry pick 335)
  * add previous-instance-id and previous-datasource to cloud/data
    and cloud/instance/datasource files (cherry pick 337)
  * allow setting of passwords and enabling/disabling ssh password auth
    via cloud-config (cherry pick 338)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 31 Jan 2011 12:48:39 -0500

cloud-init (0.6.0-0ubuntu2) natty; urgency=low

  * add a debian/README.source file
  * fix bug in fixing permission on /var/log/cloud-init.log (cherry pick)
  * remove dependency on update-motd as updates-check was removed
  * fix failure on cloud-init package purge
  * add configuration of DataSources via debconf. Default to not searching
    Ec2. (LP: #635188)
  * fix naming of pre-processed (now user-data.txt.i) (cherry pick)
  * upgrade existing content in /var/lib/cloud to 0.6.x format

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Jan 2011 16:32:44 -0500

cloud-init (0.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * fix permissions on cloud-init.log so syslog can write to it (LP: ##704509)
  * rework of /var/lib/cloud layout
  * remove updates-check (LP: #653220)
  * support resizing root partition on first boot (enabled by default)
  * added cloud-config options for setting hostname, phone_home
  * indicate "all the way up" with message to console and file creation
    in /var/lib/cloud/instance/ (LP: #653271)
  * write ssh keys to console late in boot to ensure they're in console buffer
  * add support for redirecting output of cloud-init, cloud-config, 
    cloud-final via the config file, or user data config file
  * add support for posting data about the instance to a url (phone_home)
  * add minimal OVF transport (iso) support
  * make DataSources that are attempted dynamic and configurable from
    config. config option 'cloud_type' replaced by 'datasource_list'
  * add 'timezone' option to cloud-config (LP: #645458)
  * Added an additional archive format, that can be used for multi-part
    input to cloud-init.  This may be more user friendly then mime-multipart
    (LP: #641504)
  * add support for reading Rightscale style user data (LP: #668400)
  * make the message on 'disable_root' more clear (LP: #672417)
  * do not require public key if private is given in ssh cloud-config 
    (LP: #648905)



=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Scott Moser <smoser@ubuntu.com>
 Build-Depends: cdbs, debhelper (>= 5.0.38), python, python-central (>= 0.5.6), po-debconf
 XS-Python-Version: all
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: cloud-init
 Architecture: all
-Depends: python, procps, python-configobj, python-cheetah, update-motd, python-yaml, python-software-properties, cloud-utils, ${python:Depends}, ${misc:Depends}
+Depends: python, procps, python-configobj, python-cheetah, python-yaml, python-software-properties, cloud-utils, ${python:Depends}, ${misc:Depends}
 Provides: ec2-init
 Replaces: ec2-init (<<0.5.3)
 Conflicts: ec2-init (<<0.5.3)

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=include-links

binary-install/cloud-init::cloud-init-fixups

binary-install/grub-legacy-ec2::grub-legacy-ec2-install

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

cloud-init-fixups:
	for x in $(DEB_DESTDIR)/usr/bin/*.py; do mv "$$x" "$${x%.py}"; done
	install -d $(DEB_DESTDIR)/etc/update-motd.d
	cp tools/motd-hook $(DEB_DESTDIR)/etc/update-motd.d/92-uec-upgrade-available
	install -d $(DEB_DESTDIR)/etc/rsyslog.d
	cp tools/21-cloudinit.conf $(DEB_DESTDIR)/etc/rsyslog.d/21-cloudinit.conf

grub-legacy-ec2-install:
	install -d $(DEB_DESTDIR)/usr/sbin
	install -m 0755 debian/update-grub-legacy-ec2 $(DEB_DESTDIR)/usr/sbin
	# Note: these are installed as 'x-' so as to be
	# sure to run after 'initramfs-tools' so the ramdisk
	# will be genrated.
	for khook in postinst postrm; do \
		d=$(DEB_DESTDIR)/etc/kernel/$${khook}.d; \
		install -d "$${d}" && \
		install -m 0755 "debian/grub-legacy-ec2.kernel-$${khook}" "$${d}/x-grub-legacy-ec2" || exit 1; done
	install -m 0755 debian/grub-set-default-legacy-ec2 $(DEB_DESTDIR)/usr/sbin
	install -m 0755 debian/grub-set-default $(DEB_DESTDIR)/usr/sbin

# You only need to run this immediately after checking out the package from
# revision control.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572204
quilt-setup:
	@[ ! -d .pc ] || { echo ".pc exists. remove it and re-run to start fresh"; exit 1; }
	set -e; for patch in $$(quilt series | tac); do \
		patch -p1 -R --no-backup-if-mismatch <"debian/patches/$$patch"; \
	done
	quilt push -a

.PHONY: quilt-setup

## cloud-init 0.6.3

=== debian/changelog ===
cloud-init (0.6.3-0ubuntu1.4) precise-proposed; urgency=high

  * lp-1100491-fix-broken-add-sources.patch: fix use of
    'apt_sources' in cloud-config.  (LP: #1100491)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 16 Jan 2013 17:19:50 -0500

cloud-init (0.6.3-0ubuntu1.3) precise-proposed; urgency=low

  * debian/patches/lp-1070345-landscape-restart-after-change.patch,
    debian/patches/lp-1066115-landscape-install-fix-perms.patch:
    fix missing or incorrect imports (LP: #1070345, LP: #1066115).

 -- Scott Moser <smoser@ubuntu.com>  Thu, 13 Dec 2012 12:16:56 -0500

cloud-init (0.6.3-0ubuntu1.2) precise-proposed; urgency=low

  * debian/patches/lp-978127-maas-oauth-fix-bad-clock.patch: fix usage of
    oauth in maas data source if local system has a bad clock (LP: #978127)
  * debian/cloud-init.preinst: fix bug where user data scripts re-ran on
    upgrade from 10.04 versions (LP: #1049146)
  * debian/patches/lp-974509-detect-dns-server-redirection.patch: detect dns
    server redirection and disable searching dns for a mirror named
    'ubuntu-mirror' (LP: #974509)
  * debian/patches/lp-1018554-shutdown-message-to-console.patch: write a
    message to the console on system shutdown. (LP: #1018554)
  * debian/patches/lp-1066115-landscape-install-fix-perms.patch: install
    landscape package if needed which will ensure proper permissions on config
    file (LP: #1066115).
  * debian/patches/lp-1070345-landscape-restart-after-change.patch: restart
    landscape after modifying config (LP: #1070345)
  * debian/patches/lp-1073077-zsh-workaround-for-locale_warn.patch: avoid
    warning when user's shell is zsh (LP: #1073077)
  * debian/patches/rework-mirror-selection.patch: improve mirror selection by:
    * allowing region/availability-zone to be part of mirror (LP: #1037727)
    * making mirror selection arch aware (LP: #1028501)
    * allow specification of a security mirror (LP: #1006963)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Nov 2012 17:01:54 -0500

cloud-init (0.6.3-0ubuntu1.1) precise-proposed; urgency=low

  [Thomas Hervé]
  * if configuration enables landscape, then set RUN=1 in /etc/default/landscape
    (LP: #1042758)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 02 Oct 2012 10:59:05 -0400

cloud-init (0.6.3-0ubuntu1) precise; urgency=low

  * New upstream release.
    * improve chef examples for working configurations on 11.10 and 12.04
      [Lorin Hochstein] (LP: #960564)
    * fix bug in landscape module if /etc/landscape did not exist
      (LP: #978329)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Apr 2012 00:05:00 -0400

cloud-init (0.6.3~bzr554-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * Fix bug in Chef support that required 'validation_cert' (LP: #960547)
    * Provide user-friendly message when a user ssh's in with an invalid
      locale (LP: #960547)
    * Support reading a url reference to cloud-config from the kernel
      command line.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 Apr 2012 01:24:42 -0400

cloud-init (0.6.3~bzr551-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * support running resize2fs in the background (default=off) (LP: #961226)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Mar 2012 14:33:59 -0400

cloud-init (0.6.3~bzr548-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * If public-keys is a string, split it into multiple keys on newline
      This specifically helps the MAAS data source, and should not negatively
      affect others.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Mar 2012 13:50:50 -0400

cloud-init (0.6.3~bzr547-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * rename DataSourceMaaS to DataSourceMAAS.
    * support public-keys in DataSourceMAAS
    * Warn in user-data processing on non-multipart, non-handled data 
    * CloudStack data source added (not enabled by default)
  * fix bug in cloud-init.postinst where the name used was wrong
    causing config-apt-pipelining to run more than intended

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2012 14:12:38 -0400

cloud-init (0.6.3~bzr539-0ubuntu3) precise; urgency=low

  * make maas config file only readable by root (LP: #954721)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Mar 2012 01:19:32 -0400

cloud-init (0.6.3~bzr539-0ubuntu2) precise; urgency=low

  [Cosmin Luta]
  * add dependency on python-oauth (LP: #953915)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Mar 2012 11:36:11 -0400

cloud-init (0.6.3~bzr539-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * add ability to configure Acquire::http::Pipeline-Depth via
      cloud-config setting 'apt_pipelining' (LP: #942061)
    * if cloud-config settings removed default certificats
      (remove-defaults), then seed package ca-certificates to not
      install new ones on upgrade.
    * run-parts now uses internal implementation rather than
      separate command.
    * add MaaS datasource (LP: #942061)
  * debian/cloud-init.postinst: address population of apt_pipeline 
    setting on installation.
  * debian/cloud-init.postinst: support configuring cloud-init
    maas datasource via preseed values cloud-init/maas-metadata-url and
    cloud-init/maas-credentials. (LP: #942061)
  * debian/cloud-init.postinst: support for (LP: #924375)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Mar 2012 16:37:01 -0500

cloud-init (0.6.3~bzr530-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - fix DataSourceNoCloud seeded from local or cmdline (LP: #942695)
    - change 'islxc' to 'iscontainer' and use 'running-in-container' utility
      from upstart rather than 'lxc-is-container' (LP: #941955)
    - Do not fail on bad part handlers, instead catch error and log

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2012 19:15:19 -0500

cloud-init (0.6.3~bzr527-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - exit 0 in cloud-init if no metadata is found (nothing to do)
    - documentation improvements


=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5.0.38),
               po-debconf,
               pyflakes,
               pylint,
               python (>= 2.6.6-3~),
               python-nose,
               python-mocker,
XS-Python-Version: all
Standards-Version: 3.9.3

Package: cloud-init
Architecture: all
Depends: cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python,
         python-cheetah,
         python-configobj,
         python-oauth,
         python-software-properties,
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf, util-linux (>= 2.15-1), ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_PYTHON_SYSTEM := pycentral
-export DH_PYCENTRAL=include-links
+DEB_PYTHON2_MODULE_PACKAGES = cloud-init
 
 binary-install/cloud-init::cloud-init-fixups
 
@@ -14,8 +13,6 @@
 
 cloud-init-fixups:
 	for x in $(DEB_DESTDIR)/usr/bin/*.py; do mv "$$x" "$${x%.py}"; done
-	install -d $(DEB_DESTDIR)/etc/update-motd.d
-	cp tools/motd-hook $(DEB_DESTDIR)/etc/update-motd.d/92-uec-upgrade-available
 	install -d $(DEB_DESTDIR)/etc/rsyslog.d
 	cp tools/21-cloudinit.conf $(DEB_DESTDIR)/etc/rsyslog.d/21-cloudinit.conf

## cloud-init 0.7.0

=== Makefile ===
CWD=$(shell pwd)
PY_FILES=$(shell find cloudinit bin tests tools -name "*.py")
PY_FILES+="bin/cloud-init"

all: test

pep8:
	$(CWD)/tools/run-pep8 $(PY_FILES)

pylint:
	$(CWD)/tools/run-pylint $(PY_FILES)

pyflakes:
	pyflakes $(PY_FILES)

test:
	nosetests $(noseopts) tests/unittests/

2to3:
	2to3 $(PY_FILES)

clean:
	rm -rf /var/log/cloud-init.log \
		   /var/lib/cloud/

rpm:
	./packages/brpm

deb:
	./packages/bddeb

.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb

=== debian/changelog ===
cloud-init (0.7.0-0ubuntu2) quantal; urgency=low

  * config-drive: copy metadata entry 'hostname' to 'local-hostname' to fix
    config modules (set_hostname) will function as expected (LP: #1061964)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Oct 2012 11:45:15 -0400

cloud-init (0.7.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    * minor change to oauth header fix (LP: #978127).
    * incorporation of 0.7.0 upstream release.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Oct 2012 14:19:46 -0400

cloud-init (0.7.0~bzr677-0ubuntu1) quantal; urgency=low

  * add CloudStack to DataSources listed by dpkg-reconfigure (LP: #1002155)
  * New upstream snapshot.
    * 0440 permissions on /etc/sudoers.d files rather than 0644
    * get host ssh keys to the console (LP: #1055688)
    * MAAS DataSource adjust timestamp in oauth header to one based on the
      timestamp in the response of a 403.  This accounts for a bad local
      clock. (LP: #978127)
    * re-start the salt daemon rather than start to ensure config changes
      are taken.
    * allow for python unicode types in yaml that is loaded.
    * cleanup in how config modules get at users and groups.

 -- Scott Moser <smoser@ubuntu.com>  Sun, 30 Sep 2012 14:29:04 -0400

cloud-init (0.7.0~bzr659-0ubuntu2) quantal; urgency=low

  * debian/cloud-init.templates: fix bad template file (LP: #1053239)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Sep 2012 09:18:20 -0400

cloud-init (0.7.0~bzr659-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * add signal handlers to more cleanly exit
    * add logging fallback in case logging fails
    * documentation fix for landscape config (LP: #1042764)
    * do not write a comment in /etc/hostname (LP: #1052664)
    * fix incorrect ubuntu mirrors for 'ports' arches [Robbie Basak]
    * fix generation of hostname based on ip address in datasource 
      (LP: #1050962) [Andy Grimm]
    * remove 'start networking' from cloud-init-nonet and replace it
      with container specific fixes (LP: #1031065)
    * fix landscape configuration so client will run (LP: #1042758)
    * enable all available datasources (adding AltCloud and None)
    * fix bug where user data scripts re-ran on upgrade from 10.04 versions
      (LP: #1049146)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 19 Sep 2012 22:08:51 -0400

cloud-init (0.7.0~bzr644-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix cloud-archives (LP: #1044594)
    * fix set_passwords for usergroups as a list (LP: #1044553)
  * fix 'failed to setup apt-pipelining' warning on install due to
    old 0.6 style usage of cloud-init.

 -- Scott Moser <smoser@ubuntu.com>  Sat, 01 Sep 2012 20:11:34 -0400

cloud-init (0.7.0~bzr642-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * support using launch-index (ami-launch-index) (LP: #1023177)
    * usergroup related fixes (LP: #1041384, #1044044, #1044508)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 31 Aug 2012 17:04:06 -0400

cloud-init (0.7.0~bzr639-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix broken ssh_import_id, which would give stack trace

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Aug 2012 14:09:47 -0400

cloud-init (0.7.0~bzr637-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix issue with public keys not being added to 'ubuntu' user
      since the user was not created yet. (LP: #1042459)
    * only search the top level domain 'instance-data' for the EC2
      metadata service, to avoid misconfiguration or unexpected results
      by searching search entries in /etc/resolv.conf (LP: #1040200)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 27 Aug 2012 20:27:06 -0400

cloud-init (0.7.0~bzr634-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * support for datasource from config-drive-v2 (LP: #1037567)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 24 Aug 2012 17:24:26 -0400

cloud-init (0.7.0~bzr633-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * support creating users on boot. remove requirement for a 'ubuntu'
      user to be previously present in image. (LP: #1028503)
    * add experimental apt_reboot_if_required flag to reboot if necessary
      after upgrade or package install (LP: #1038108)
    * improve mirror selection for a distro: 
      * support arm mirrors (LP: #1028501)
      * support seeding security mirror (LP: #1006963)
      * support dns mirrors including availability-zone reference
        (LP: #1037727)
    * include a "None" datasource so items like ssh host key generation
      occur if there is no other metadata service. (LP: #906669)
    * print authorized_keys for users to the console (LP: #1010582)
    * Add RHEVm and vSphere support as datasource AltCloud [Joseph VLcek]

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Aug 2012 01:06:34 -0400

cloud-init (0.7.0~bzr614-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * disable searching for 'ubuntu-mirror' in local dns to find a
      local mirror (LP: #974509)
    * emit the cloud-config event (LP: #1028674) 
    * write timestamps to console on reboot and shutdown (LP: #1018554)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 03 Aug 2012 14:55:37 -0400

cloud-init (0.7.0~bzr608-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * fix issue with EC2 datasource that prevented /mnt from being mounted.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 16 Jul 2012 16:49:55 -0400

cloud-init (0.7.0~bzr604-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
    * add cc_write_file for injecting files via cloud-config (LP: #1012854)
    * fix issue with empty user data
    * remove some un-needed warnings to console output in DataSourceOVF
    * allow user-data scripts output through to the console

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Jul 2012 16:11:01 -0400

cloud-init (0.7.0~bzr583-0ubuntu1) quantal; urgency=low

  * New upstream snapshot.
  * debian/control: wrap-and-sort


=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                pyflakes,
                pylint,
                python (>= 2.6.6-3~),
+               python-mocker,
                python-nose,
-               python-mocker,
+               python-setuptools
 XS-Python-Version: all
 Standards-Version: 3.9.3
 
@@ -19,11 +20,14 @@
          ifupdown (>= 0.6.10ubuntu5),
          procps,
          python,
+         python-argparse,
+         python-boto,
          python-cheetah,
          python-configobj,
          python-oauth,
-         python-software-properties,
+         python-prettytable,
          python-yaml,
+         software-properties-common,
          ${misc:Depends},
          ${python:Depends}
 Provides: ec2-init
@@ -35,7 +39,10 @@
  to retrieve and install ssh keys and to let the user run various scripts.
 
 Package: grub-legacy-ec2
-Depends: debconf (>= 1.5.19) | cdebconf, util-linux (>= 2.15-1), ${misc:Depends}
+Depends: debconf (>= 1.5.19) | cdebconf,
+         ucf,
+         util-linux (>= 2.15-1),
+         ${misc:Depends}
 Conflicts: grub
 Suggests: grub-legacy-doc
 Architecture: all

## cloud-init 0.7.1

=== Makefile ===
CWD=$(shell pwd)
PY_FILES=$(shell find cloudinit bin tests tools -name "*.py" -type f )
PY_FILES+="bin/cloud-init"

YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )


all: test

pep8:
	@$(CWD)/tools/run-pep8 $(PY_FILES)

pylint:
	@$(CWD)/tools/run-pylint $(PY_FILES)

pyflakes:
	pyflakes $(PY_FILES)

test:
	@nosetests $(noseopts) tests/

2to3:
	2to3 $(PY_FILES)

clean:
	rm -rf /var/log/cloud-init.log \
		   /var/lib/cloud/

yaml:
	@$(CWD)/tools/validate-yaml.py $(YAML_FILES)
		   
rpm:
	./packages/brpm

deb:
	./packages/bddeb

.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml

=== debian/changelog ===
cloud-init (0.7.1-0ubuntu5) raring; urgency=low

  * catchup-751-760.patch (sync to 760)
    * DataSourceConfigDrive: allow config-drive data to come from a 
      CD-ROM (LP: #1100545)
    * Allow 'sr0' to be used as a source for mount config [Vlastimil Holer]
    * do not log passwords provided via config (LP: #1096417)
    * DataSourceCloudStack: Attempt to find the 'virtual router' as provided
      from dhcp responses, rather than assuming it is the default route 
      (LP: #1089989) [Gerard Dethier]
      in the CloudStack environment use virtual router rather than default route 
    * notify upstart after writing upstart jobs to support filesystems that
      do not support inotify such as overlayfs (LP: #1080841)
    * fix cloud-config 'lock_password' user setup (LP: #1096423)
  * debian/README.source: minor improvements.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jan 2013 10:12:34 -0500

cloud-init (0.7.1-0ubuntu4) raring; urgency=low

  * cherry pick relevant patches from trunk up to revision 750
  * use short form of '--stderr' argument to logger for better cross
    distro support (LP: #1083715)
  * puppet: make installation configurable (LP: #1090205)
  * chef: add omnibus installation method
  * fix allowing cloud-config input via user-data to affect the
    apt mirror selection (LP: #090482)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 17 Dec 2012 10:48:23 -0500

cloud-init (0.7.1-0ubuntu3) raring; urgency=low

  * cherry pick relevant patches from trunk up to revision 745
  * fix writing of sudoers when suders rule is a string rather than
    an array (LP: #1079002)
  * add trailing slash to sudoers files that are written
  * fix resizefs module when 'noblock' was provided (LP: #1080985)
  * make sure there is no blank line before cloud-init entry in
    there are no blank lines in /etc/ca-certificates.conf (LP: #1077020)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 03 Dec 2012 21:45:48 -0500

cloud-init (0.7.1-0ubuntu2) raring; urgency=low

  * debian/watch: add watch file
  * add 'ubuntu' user to sudoers (LP: #1080717)
  * set 'ubuntu' user shell to bash

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Nov 2012 09:38:29 -0500

cloud-init (0.7.1-0ubuntu1) raring; urgency=low

  * New upstream release.
    * landscape: install landscape-client package if not installed.
      only take action if cloud-config is present (LP: #1066115)
    * landscape: restart landscape after install or config (LP: #1070345)
    * multipart/archive: do not fail on unknown headers in multipart
      mime or cloud-archive config (LP: #1065116).
    * tools/Z99-cloud-locale-test.sh: avoid warning when user's shell is
      zsh (LP: #1073077)
    * fix stack trace when unknown user-data input had unicode (LP: #1075756)
    * split 'apt-update-upgrade' config module into 'apt-configure' and
      'package-update-upgrade-install'.  The 'package-update-upgrade-install'
      will be a cross distro module.
    * fix bug where cloud-config from user-data could not affect system_info
      settings (LP: #1076811)
    * add yum_add_repo configuration module for adding additional yum repos
    * fix public key importing with config-drive-v2 datasource (LP: #1077700)
    * handle renaming and fixing up of marker names (LP: #1075980)
      this relieves that burden from the distro/packaging.
    * group config: fix how group members weren't being translated correctly
      when the group: [member, member...] format was used (LP: #1077245)
    * work around an issue with boto > 0.6.0 that lazy loaded the return from 
      get_instance_metadata().  This resulted in failure for cloud-init to
      install ssh keys. (LP: #1068801)
    * add power_state_change config module for shutting down stystem after
      cloud-init finishes. (LP: #1064665)


 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Nov 2012 15:18:50 -0500

## cloud-init 0.7.2~bzr809

=== debian/changelog ===
cloud-init (0.7.2~bzr809-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * make apt-get invoke 'dist-upgrade' rather than 'upgrade' for
      package_upgrade. (LP: #1164147)
    * workaround 2.6 kernel issue that stopped blkid from showing /dev/sr0

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Apr 2013 12:55:51 -0400

cloud-init (0.7.2~bzr804-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * use python-requests rather than urllib2 for http (LP: #1067888)
    * handle failure of resizefs better.  Specifically, do not show
      warnings or stack trace in lxc (LP: #1160462)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 27 Mar 2013 10:04:41 -0400

cloud-init (0.7.2~bzr795-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * documentation on write-files module (LP: #1111205)
    * support for specifying package versions in package installs
    * DataSourceNoCloud: allow specifyin user-data and meta-data in
      the datasource config (LP: #1115833)
    * work around bug in upstart for now (1124384)
    * support resizing btrfs fileystems
    * parse ssh keys more correctly (LP: #1136343)
    * upstart/cloud-init-nonet.conf: handle sigterm gracefully (LP: #1015223)
    * support growing partitions (LP: #1136936)
    * use --force-unsafe-io for dpkg installations to improve speed
      This is sane as it happens on instance initialization.
    * more powerful and user-suppliable cloud-config merge mechanisms
      (LP: #1023179)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Mar 2013 17:33:59 -0500

## cloud-init 0.7.2

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,10 @@
 YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
 YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )
 
+CHANGELOG_VERSION=$(shell $(CWD)/tools/read-version)
+CODE_VERSION=$(shell python -c "from cloudinit import version; print version.version_string()")
 
-all: test
+all: test check_version
 
 pep8:
 	@$(CWD)/tools/run-pep8 $(PY_FILES)
@@ -19,6 +21,12 @@
 
 test:
 	@nosetests $(noseopts) tests/
+
+check_version:
+	@if [ "$(CHANGELOG_VERSION)" != "$(CODE_VERSION)" ]; then \
+        echo "Error: ChangeLog version $(CHANGELOG_VERSION)" \
+        	  "not equal to code version $(CODE_VERSION)"; exit 2; \
+    else true; fi
 
 2to3:
 	2to3 $(PY_FILES)
@@ -36,5 +44,5 @@
 deb:
 	./packages/bddeb
 
-.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml
+.PHONY: test pylint pyflakes 2to3 clean pep8 rpm deb yaml check_version

=== debian/changelog ===
cloud-init (0.7.2-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Aug 2013 11:49:43 +0000

cloud-init (0.7.2-3) unstable; urgency=low

  [ Charles Plessy ]
  * Added python-requests to build dependencies (Closes: #711797). 
  * Conforms with Policy 3.9.4.
  * Depend on ${python:Depends}.
  * Description and Debconf messages reviewed by the Smith project.
    Closes: #710444, thanks to Justin B Rye and Christian Perrier.
  * German translation (Closes: #714738, thanks to Chris Leick).
  * Swedish translation (Closes: #714646, thanks to Martin Bagge).
  * French translation (Closes: #714608, thanks to Julien Patriarca). 
  * Russian translation (Closes: #714093, #715168, thanks to Yuri Kozlov).
  * Danish translation (Closes: #714785, thanks to Joe Dalton).
  * Czech tranlsation (Closes: #714356, thanks to Michal Šimůnek).
  * Portugese tranlsation (Closes: #715241, thanks to Américo Monteiro).
  * Japanese translation (Closes: #715500, thanks to victory).
  * Italian translation (Closes: #715390, thanks to Beatrice Torracca).
  * Polish translation (Closes: #715799, thanks to Michał Kułach).

  [ Thomas Goirand ]
  * Added missing init scripts cloud-init-local, cloud-init-final and
    cloud-config, to run cloud-init as below (Closes: #709173):
    - modules --mode config (cloud-config)
    - modules --mode final (cloud-init-final)
    - init --local (cloud-init-local)
  * Reads the currently set value in /etc/cloud/cloud.cfg.d/90_dpkg.cfg to
    db_set the value of cloud-init/datasources (Closes: #709773).
  * Check if upstart is init in all init scripts (Closes: #712985). Thanks to
    Dmitrijs Ledkovs for reporting and his patch in the BTS.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2013 23:10:34 +0800

cloud-init (0.7.2-1) unstable; urgency=low

  * New upstream release.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Charles Plessy ]
  * Build-depends on python-setuptools and python-yaml. Closes: #707443
  * Normalised debian/control with config-model-edit (this drops some
    constraints on packages versions that are satisfied even in oldstable).

  [ Thomas Goirand ]
  * Made the "make test" respect DEB_BUILD_OPTIONS=nocheck.
  * Added X-Start-Before: sshd in debian/cloud-init.init, since cloud-init must
    fix the sshd host keys before it starts.
  * Added a patch of the test suite to use /sbin/blkid and not just blkid, as
    otherwise, the unit test fails.
  * Adds internationalization of the debconf messages (eg: po folder, etc.).
  * Adds a patch to disable a RHEL test (set hostname) which fails (of course,
    we don't really care about such test in Debian).
  * Added missing dependency: python-requests.
  * Added myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 May 2013 16:29:45 +0000

cloud-init (0.7.1-3) unstable; urgency=low

  * Depends on python-prettytable

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 16:11:48 +0100

cloud-init (0.7.1-2) unstable; urgency=low

  * Depends on python 2.7 or python-argparse
  * Depends on the right version of python-boto
  * Fix description issue with line leading with dot

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 10:50:43 +0100

cloud-init (0.7.1-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * Remove unowned files in /etc/apt/apt.conf.d/ after purge. (Closes: #674237).
  * Fix versioned dependency on ifupdown, otherwise is uninstallable.
  * Fix Vcs-Svn URL.
  * Add myself as Uploader.

  [ Julien Danjou ]
  * New upstream release.
  * Add myself as Uploader.
  * Add missing python-boto dependency.
  * Add fix-cfg-builtin.patch to set syslog_fix_perms to root:adm by
    default since we don't have any syslog user in Debian.
  * Depends on Python >= 2.7, at least because subprocess needs
    check_output method.
  * Drop CDBS
  * Add init scripts
  * Update description (Closes: #695326)

 -- Julien Danjou <acid@debian.org>  Mon, 28 Jan 2013 10:49:10 +0100

cloud-init (0.6.3-2) experimental; urgency=low

  * First version in Debian (Closes: #672375).
  * Do not depend on cloud-utils, which is only in Ubuntu. 

 -- Charles Plessy <plessy@debian.org>  Wed, 23 May 2012 09:26:29 +0900

cloud-init (0.6.3-1) experimental; urgency=low

  * Debian package based on Ubuntu's package.
  * Machine-readable debian/copyright file; discarded extra information.
  * Documented homepage and VCS URLs in debian/control.
  * Remove ec2-init package and support for upgrade.
  * Added a watch file to track the download link on the homepage.
  * http://wiki.debian.org/Python/TransitionToDHPython2
    - Removed debian/pycompat.
    - Build-depend on CDBS >= 0.4.90~.
    - Removed XS-Python-Version and XB-Python-Version in debian/control.
  * Use Debhelper 9 (debian/control, debian/compat). 
  * Removed debian/cloud-init.prerm as /etc/cron.d/cloudinit-updates
    seems to have been removed from the package earlier.
  * Removed unneeded debian/dirs debian/cloud-init.install.
  * Removed grub-legacy-ec2, to be packaged elsewhere, see #672104.
  * Priority optional as there is no conflict anymore (debian/control).
  * Extended cloud-init's description (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sat, 19 May 2012 13:37:20 +0900

=== debian/control ===
Source: cloud-init
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               po-debconf,
               pyflakes,
               pylint,
               python,
               python-configobj,
               python-oauth,
               python-boto (>= 2.3),
               python-cheetah,
               python-requests,
               python-yaml,
               python-mocker,
               python-nose,
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cloud-init/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cloud-init/trunk/
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends: lsb-base (>= 4.1+Debian3),
         ifupdown,
         procps,
         python,
         python (>= 2.7) | python-argparse,
         python-boto (>= 2.3),
         python-cheetah,
         python-configobj,
         python-oauth,
         python-requests,
         python-prettytable,
         python-yaml,
         python-software-properties,
         ${misc:Depends},
         ${python:Depends}
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.
